<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.11">
  <compounddef id="class_user" kind="class" language="C++" prot="public">
    <compoundname>User</compoundname>
    <basecompoundref refid="class_person" prot="public" virt="non-virtual">Person</basecompoundref>
    <derivedcompoundref refid="class_admin" prot="public" virt="non-virtual">Admin</derivedcompoundref>
    <includes refid="_user_8h" local="no">User.h</includes>
      <sectiondef kind="friend">
      <memberdef kind="friend" id="class_user_1abb55390a7a06b68712454a753a3064d2" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>friend class</type>
        <definition>friend class IOStream</definition>
        <argsstring></argsstring>
        <name>IOStream</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="32" column="1" bodyfile="models/People/User/User.h" bodystart="32" bodyend="-1"/>
      </memberdef>
      <memberdef kind="friend" id="class_user_1ad1d60bd88c6015b93b7449e4cc7bffc8" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>friend std::ostream &amp;</type>
        <definition>std::ostream&amp; operator&lt;&lt;</definition>
        <argsstring>(std::ostream &amp;out, const User &amp;user)</argsstring>
        <name>operator&lt;&lt;</name>
        <param>
          <type>std::ostream &amp;</type>
          <declname>out</declname>
        </param>
        <param>
          <type>const <ref refid="class_user" kindref="compound">User</ref> &amp;</type>
          <declname>user</declname>
        </param>
        <briefdescription>
<para>operator &lt;&lt; printer </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>out</parametername>
</parameternamelist>
<parameterdescription>
<para>stream </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>object</parametername>
</parameternamelist>
<parameterdescription>
<para>to print </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>print object </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="168" column="1" bodyfile="models/People/User/User.cpp" bodystart="69" bodyend="75"/>
      </memberdef>
      <memberdef kind="friend" id="class_user_1ac9d424b92bfea1466791a926ffb4cacb" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>friend std::ostream &amp;</type>
        <definition>std::ostream&amp; operator&lt;&lt;</definition>
        <argsstring>(std::ostream &amp;out, const User *user)</argsstring>
        <name>operator&lt;&lt;</name>
        <param>
          <type>std::ostream &amp;</type>
          <declname>out</declname>
        </param>
        <param>
          <type>const <ref refid="class_user" kindref="compound">User</ref> *</type>
          <declname>user</declname>
        </param>
        <briefdescription>
<para>operator &lt;&lt; printer </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>out</parametername>
</parameternamelist>
<parameterdescription>
<para>stream </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>object</parametername>
</parameternamelist>
<parameterdescription>
<para>to print </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>print object </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="176" column="1" bodyfile="models/People/User/User.cpp" bodystart="77" bodyend="79"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="protected-attrib">
      <memberdef kind="variable" id="class_user_1aa8a642e5ba1f9ae343354cb649f753db" prot="protected" static="no" mutable="no">
        <type>bool</type>
        <definition>bool User::amIAdmin</definition>
        <argsstring></argsstring>
        <name>amIAdmin</name>
        <initializer>= false</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="179" column="1" bodyfile="models/People/User/User.h" bodystart="179" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_user_1ac35b7c63228119cb91acdbd7ed32b8cb" prot="protected" static="no" mutable="no">
        <type>std::string</type>
        <definition>std::string User::email</definition>
        <argsstring></argsstring>
        <name>email</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="180" column="1" bodyfile="models/People/User/User.h" bodystart="180" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_user_1a557a69cdb6f9cf249c15c991535016b5" prot="protected" static="no" mutable="no">
        <type><ref refid="class_database" kindref="compound">Database</ref>&lt; <ref refid="class_book" kindref="compound">Book</ref> &gt;</type>
        <definition>Database&lt;Book&gt; User::wishList</definition>
        <argsstring></argsstring>
        <name>wishList</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="181" column="1" bodyfile="models/People/User/User.h" bodystart="181" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_user_1a0d118d66c1851a40670a9decf2637eee" prot="protected" static="no" mutable="no">
        <type><ref refid="class_database" kindref="compound">Database</ref>&lt; <ref refid="class_book" kindref="compound">Book</ref> &gt;</type>
        <definition>Database&lt;Book&gt; User::loans</definition>
        <argsstring></argsstring>
        <name>loans</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="182" column="1" bodyfile="models/People/User/User.h" bodystart="182" bodyend="-1"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="public-func">
      <memberdef kind="function" id="class_user_1ae78803d1d577c2450b50cff54bf9ec07" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type></type>
        <definition>User::User</definition>
        <argsstring>(std::string name, std::string surname, QDate date, std::string email)</argsstring>
        <name>User</name>
        <param>
          <type>std::string</type>
          <declname>name</declname>
        </param>
        <param>
          <type>std::string</type>
          <declname>surname</declname>
        </param>
        <param>
          <type>QDate</type>
          <declname>date</declname>
        </param>
        <param>
          <type>std::string</type>
          <declname>email</declname>
        </param>
        <briefdescription>
<para><ref refid="class_user" kindref="compound">User</ref> New <ref refid="class_person" kindref="compound">Person</ref> with email and optional date of birth. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>name</parametername>
</parameternamelist>
<parameterdescription>
<para>name of person </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>surname</parametername>
</parameternamelist>
<parameterdescription>
<para>surname of person </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>date</parametername>
</parameternamelist>
<parameterdescription>
<para>date of birth of person </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>email</parametername>
</parameternamelist>
<parameterdescription>
<para>email to register user</para></parameterdescription>
</parameteritem>
</parameterlist>
Copyright 2016-2017 Stefano Fogarollo</para><para>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="44" column="1" bodyfile="models/People/User/User.cpp" bodystart="20" bodyend="21"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1a99cadf8dd70a9dcc752b7f1df0af809d" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type></type>
        <definition>User::User</definition>
        <argsstring>(std::string email)</argsstring>
        <name>User</name>
        <param>
          <type>std::string</type>
          <declname>email</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>New <ref refid="class_person" kindref="compound">Person</ref> with email and optional date of birth <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>email</parametername>
</parameternamelist>
<parameterdescription>
<para>email to register user </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="55" column="1" bodyfile="models/People/User/User.cpp" bodystart="23" bodyend="23"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1a018a343a483ee5d702fc11c3d6383ac7" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type></type>
        <definition>User::User</definition>
        <argsstring>(const User &amp;u)</argsstring>
        <name>User</name>
        <param>
          <type>const <ref refid="class_user" kindref="compound">User</ref> &amp;</type>
          <declname>u</declname>
        </param>
        <briefdescription>
<para><ref refid="class_user" kindref="compound">User</ref> deep copy of user. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>b</parametername>
</parameternamelist>
<parameterdescription>
<para>user to copy </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="63" column="1" bodyfile="models/People/User/User.cpp" bodystart="25" bodyend="26"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1ace19848c26b4b131c6f7b48d7b146ffc" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool User::isAdmin</definition>
        <argsstring>()</argsstring>
        <name>isAdmin</name>
        <briefdescription>
<para>isAdmin checks whether user is an admin </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>true iff user is an admin </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="69" column="1" bodyfile="models/People/User/User.cpp" bodystart="45" bodyend="47"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1a691b2225590d655a5ffea2b03402e125" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool User::reserveBook</definition>
        <argsstring>(Book *book)</argsstring>
        <name>reserveBook</name>
        <param>
          <type><ref refid="class_book" kindref="compound">Book</ref> *</type>
          <declname>book</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Reserve given book from library <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>book</parametername>
</parameternamelist>
<parameterdescription>
<para>book to reserve </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>true iff operation went well </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="76" column="1" bodyfile="models/People/User/User.cpp" bodystart="81" bodyend="88"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1aa194caf9ec2a069de06d7d0b388e6b5d" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool User::returnBook</definition>
        <argsstring>(Book *book)</argsstring>
        <name>returnBook</name>
        <param>
          <type><ref refid="class_book" kindref="compound">Book</ref> *</type>
          <declname>book</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Return given book to library <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>book</parametername>
</parameternamelist>
<parameterdescription>
<para>book to return to library </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>true iff operation went well </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="83" column="1" bodyfile="models/People/User/User.cpp" bodystart="90" bodyend="97"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1aa01f3ad7431073992a545da9660fa3ad" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool User::isBookReservedByUser</definition>
        <argsstring>(Book book)</argsstring>
        <name>isBookReservedByUser</name>
        <param>
          <type><ref refid="class_book" kindref="compound">Book</ref></type>
          <declname>book</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Checks if given book is reserved by user <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>book</parametername>
</parameternamelist>
<parameterdescription>
<para>book to check in user reservations </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>true iff user is reserving this book </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="90" column="1" bodyfile="models/People/User/User.cpp" bodystart="99" bodyend="101"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1adb9a76bda3d20fb82db91855be66d620" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool User::isBookInWishlist</definition>
        <argsstring>(Book book)</argsstring>
        <name>isBookInWishlist</name>
        <param>
          <type><ref refid="class_book" kindref="compound">Book</ref></type>
          <declname>book</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Checks if given book is user wishlist <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>book</parametername>
</parameternamelist>
<parameterdescription>
<para>book to check in user wishlist </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>true iff user is in user wishlist </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="97" column="1" bodyfile="models/People/User/User.cpp" bodystart="103" bodyend="105"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1a003a00af12fe873041488375f8abdccb" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void User::setEmail</definition>
        <argsstring>(std::string email)</argsstring>
        <name>setEmail</name>
        <param>
          <type>std::string</type>
          <declname>email</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Sets user email <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>email</parametername>
</parameternamelist>
<parameterdescription>
<para>email to register user </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="105" column="1" bodyfile="models/People/User/User.cpp" bodystart="49" bodyend="51"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1a9647677311d12cea36d96591f31237c6" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void User::addBookToWishList</definition>
        <argsstring>(Book book)</argsstring>
        <name>addBookToWishList</name>
        <param>
          <type><ref refid="class_book" kindref="compound">Book</ref></type>
          <declname>book</declname>
        </param>
        <briefdescription>
<para>appends book to list of books user wants to read </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>book</parametername>
</parameternamelist>
<parameterdescription>
<para>book to add </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="111" column="1" bodyfile="models/People/User/User.cpp" bodystart="53" bodyend="55"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1a1f821b3d4a692cf9f51439d428eedc65" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void User::removeBookFromWishList</definition>
        <argsstring>(Book book)</argsstring>
        <name>removeBookFromWishList</name>
        <param>
          <type><ref refid="class_book" kindref="compound">Book</ref></type>
          <declname>book</declname>
        </param>
        <briefdescription>
<para>removes book from list of books user wants to read </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>book</parametername>
</parameternamelist>
<parameterdescription>
<para>book to remove </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="117" column="1" bodyfile="models/People/User/User.cpp" bodystart="57" bodyend="59"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1a00601492ab5e28c33d67a0d49b432150" prot="public" static="no" const="yes" explicit="no" inline="no" virt="non-virtual">
        <type>std::string</type>
        <definition>std::string User::getEmail</definition>
        <argsstring>() const </argsstring>
        <name>getEmail</name>
        <briefdescription>
<para>gets user email </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>user email </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="125" column="1" bodyfile="models/People/User/User.cpp" bodystart="61" bodyend="63"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1a77b858ec6e7b02a3893613f9ba7fd95a" prot="public" static="no" const="yes" explicit="no" inline="no" virt="non-virtual">
        <type>std::vector&lt; <ref refid="class_book" kindref="compound">Book</ref> &gt;</type>
        <definition>std::vector&lt; Book &gt; User::getWishList</definition>
        <argsstring>() const </argsstring>
        <name>getWishList</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Gets list of books user wants to read <simplesect kind="return"><para>list of books user wants to read </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="131" column="1" bodyfile="models/People/User/User.cpp" bodystart="65" bodyend="67"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1ac60139fa8d8dd4804936ffcb8bfdca45" prot="public" static="no" const="yes" explicit="no" inline="no" virt="non-virtual">
        <type>std::vector&lt; <ref refid="class_book" kindref="compound">Book</ref> &gt;</type>
        <definition>std::vector&lt; Book &gt; User::getLoans</definition>
        <argsstring>() const </argsstring>
        <name>getLoans</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Gets list of books loaned to user <simplesect kind="return"><para>list of books loaned to user </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="137" column="1" bodyfile="models/People/User/User.cpp" bodystart="107" bodyend="109"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1a2bedf75049198d6218bd77f6df897c99" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type><ref refid="class_user" kindref="compound">User</ref> &amp;</type>
        <definition>User &amp; User::operator=</definition>
        <argsstring>(const User &amp;u)</argsstring>
        <name>operator=</name>
        <param>
          <type>const <ref refid="class_user" kindref="compound">User</ref> &amp;</type>
          <declname>u</declname>
        </param>
        <briefdescription>
<para>operator = <ref refid="class_user" kindref="compound">User</ref> deep copy of person </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>u</parametername>
</parameternamelist>
<parameterdescription>
<para>user to copy </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>deep copy of user </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="146" column="1" bodyfile="models/People/User/User.cpp" bodystart="28" bodyend="35"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1a2e787f019ae942181d625c94290d5972" prot="public" static="no" const="yes" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool User::operator==</definition>
        <argsstring>(const User &amp;other) const </argsstring>
        <name>operator==</name>
        <param>
          <type>const <ref refid="class_user" kindref="compound">User</ref> &amp;</type>
          <declname>other</declname>
        </param>
        <briefdescription>
<para>equals 2 users by comparing emails </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>other</parametername>
</parameternamelist>
<parameterdescription>
<para>other object to compare with </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>true iff 2 users are the same </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="153" column="1" bodyfile="models/People/User/User.cpp" bodystart="37" bodyend="39"/>
      </memberdef>
      <memberdef kind="function" id="class_user_1aed9ecdccccc81a597b3e2aac099a9a2f" prot="public" static="no" const="yes" explicit="no" inline="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool User::operator!=</definition>
        <argsstring>(const User &amp;other) const </argsstring>
        <name>operator!=</name>
        <param>
          <type>const <ref refid="class_user" kindref="compound">User</ref> &amp;</type>
          <declname>other</declname>
        </param>
        <briefdescription>
<para>equals 2 users by comparing emails </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>other</parametername>
</parameternamelist>
<parameterdescription>
<para>other object to compare with </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>true iff 2 users are different </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="models/People/User/User.h" line="160" column="1" bodyfile="models/People/User/User.cpp" bodystart="41" bodyend="43"/>
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para>Copyright 2016-2017 Stefano Fogarollo</para><para>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. <ref refid="class_user" kindref="compound">User</ref> of app </para>    </detaileddescription>
    <inheritancegraph>
      <node id="268">
        <label>Admin</label>
        <link refid="class_admin"/>
        <childnode refid="266" relation="public-inheritance">
        </childnode>
      </node>
      <node id="267">
        <label>Person</label>
        <link refid="class_person"/>
      </node>
      <node id="266">
        <label>User</label>
        <link refid="class_user"/>
        <childnode refid="267" relation="public-inheritance">
        </childnode>
      </node>
    </inheritancegraph>
    <collaborationgraph>
      <node id="271">
        <label>Database&lt; Book &gt;</label>
        <link refid="class_database"/>
      </node>
      <node id="270">
        <label>Person</label>
        <link refid="class_person"/>
      </node>
      <node id="269">
        <label>User</label>
        <link refid="class_user"/>
        <childnode refid="270" relation="public-inheritance">
        </childnode>
        <childnode refid="271" relation="usage">
          <edgelabel>wishList</edgelabel>
          <edgelabel>loans</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location file="models/People/User/User.h" line="31" column="1" bodyfile="models/People/User/User.h" bodystart="31" bodyend="183"/>
    <listofallmembers>
      <member refid="class_user_1a9647677311d12cea36d96591f31237c6" prot="public" virt="non-virtual"><scope>User</scope><name>addBookToWishList</name></member>
      <member refid="class_user_1aa8a642e5ba1f9ae343354cb649f753db" prot="protected" virt="non-virtual"><scope>User</scope><name>amIAdmin</name></member>
      <member refid="class_user_1ac35b7c63228119cb91acdbd7ed32b8cb" prot="protected" virt="non-virtual"><scope>User</scope><name>email</name></member>
      <member refid="class_person_1a6958ae5c891dee615a0802bbefd7bc24" prot="public" virt="non-virtual"><scope>User</scope><name>getDateOfBirth</name></member>
      <member refid="class_user_1a00601492ab5e28c33d67a0d49b432150" prot="public" virt="non-virtual"><scope>User</scope><name>getEmail</name></member>
      <member refid="class_user_1ac60139fa8d8dd4804936ffcb8bfdca45" prot="public" virt="non-virtual"><scope>User</scope><name>getLoans</name></member>
      <member refid="class_person_1ac0c7e40e02bfa616e17a0c332dd248eb" prot="public" virt="non-virtual"><scope>User</scope><name>getName</name></member>
      <member refid="class_person_1a7f24e2654e52db9c1f1c368a13135ae1" prot="public" virt="non-virtual"><scope>User</scope><name>getSurname</name></member>
      <member refid="class_user_1a77b858ec6e7b02a3893613f9ba7fd95a" prot="public" virt="non-virtual"><scope>User</scope><name>getWishList</name></member>
      <member refid="class_user_1abb55390a7a06b68712454a753a3064d2" prot="private" virt="non-virtual"><scope>User</scope><name>IOStream</name></member>
      <member refid="class_user_1ace19848c26b4b131c6f7b48d7b146ffc" prot="public" virt="non-virtual"><scope>User</scope><name>isAdmin</name></member>
      <member refid="class_user_1adb9a76bda3d20fb82db91855be66d620" prot="public" virt="non-virtual"><scope>User</scope><name>isBookInWishlist</name></member>
      <member refid="class_user_1aa01f3ad7431073992a545da9660fa3ad" prot="public" virt="non-virtual"><scope>User</scope><name>isBookReservedByUser</name></member>
      <member refid="class_user_1a0d118d66c1851a40670a9decf2637eee" prot="protected" virt="non-virtual"><scope>User</scope><name>loans</name></member>
      <member refid="class_user_1aed9ecdccccc81a597b3e2aac099a9a2f" prot="public" virt="non-virtual"><scope>User</scope><name>operator!=</name></member>
      <member refid="class_person_1ae4f47029402c26c3643d23ef04695bb1" prot="public" virt="virtual" ambiguityscope="Person::"><scope>User</scope><name>operator!=</name></member>
      <member refid="class_user_1ad1d60bd88c6015b93b7449e4cc7bffc8" prot="public" virt="non-virtual"><scope>User</scope><name>operator&lt;&lt;</name></member>
      <member refid="class_user_1ac9d424b92bfea1466791a926ffb4cacb" prot="public" virt="non-virtual"><scope>User</scope><name>operator&lt;&lt;</name></member>
      <member refid="class_user_1a2bedf75049198d6218bd77f6df897c99" prot="public" virt="non-virtual"><scope>User</scope><name>operator=</name></member>
      <member refid="class_person_1ae046bc90711195d83799f81e096ad503" prot="public" virt="non-virtual" ambiguityscope="Person::"><scope>User</scope><name>operator=</name></member>
      <member refid="class_user_1a2e787f019ae942181d625c94290d5972" prot="public" virt="non-virtual"><scope>User</scope><name>operator==</name></member>
      <member refid="class_person_1a7c6a2bfb43c790bc8260933bd847a582" prot="public" virt="virtual" ambiguityscope="Person::"><scope>User</scope><name>operator==</name></member>
      <member refid="class_person_1a27a7b19cdace6de9a04ce0d06fec7957" prot="public" virt="non-virtual"><scope>User</scope><name>Person</name></member>
      <member refid="class_person_1a847845e2e214a89e790c584678f1ea97" prot="public" virt="non-virtual"><scope>User</scope><name>Person</name></member>
      <member refid="class_user_1a1f821b3d4a692cf9f51439d428eedc65" prot="public" virt="non-virtual"><scope>User</scope><name>removeBookFromWishList</name></member>
      <member refid="class_user_1a691b2225590d655a5ffea2b03402e125" prot="public" virt="non-virtual"><scope>User</scope><name>reserveBook</name></member>
      <member refid="class_user_1aa194caf9ec2a069de06d7d0b388e6b5d" prot="public" virt="non-virtual"><scope>User</scope><name>returnBook</name></member>
      <member refid="class_person_1a172e5a16b36e2aa9dfec68b289e1747b" prot="public" virt="non-virtual"><scope>User</scope><name>setDateOfBirth</name></member>
      <member refid="class_user_1a003a00af12fe873041488375f8abdccb" prot="public" virt="non-virtual"><scope>User</scope><name>setEmail</name></member>
      <member refid="class_person_1ad6e438f456d3ae6f5b477931c0a6aeba" prot="public" virt="non-virtual"><scope>User</scope><name>setName</name></member>
      <member refid="class_person_1af6a9ce78af39382fbab39f64319c7cde" prot="public" virt="non-virtual"><scope>User</scope><name>setSurname</name></member>
      <member refid="class_user_1ae78803d1d577c2450b50cff54bf9ec07" prot="public" virt="non-virtual"><scope>User</scope><name>User</name></member>
      <member refid="class_user_1a99cadf8dd70a9dcc752b7f1df0af809d" prot="public" virt="non-virtual"><scope>User</scope><name>User</name></member>
      <member refid="class_user_1a018a343a483ee5d702fc11c3d6383ac7" prot="public" virt="non-virtual"><scope>User</scope><name>User</name></member>
      <member refid="class_user_1a557a69cdb6f9cf249c15c991535016b5" prot="protected" virt="non-virtual"><scope>User</scope><name>wishList</name></member>
      <member refid="class_person_1a700ffd693321c5fe6880262acf43d4da" prot="public" virt="virtual"><scope>User</scope><name>~Person</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>
